Name:          maven-jaxb-plugin
Version:       1.1.1
Release:       %mkrel 7
Summary:       Maven JAXB Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           https://jaxb.dev.java.net/
# svn export https://svn.java.net/svn/jaxb~version2/trunk/jaxb-maven2-plugin maven-jaxb-plugin-1.1.1
# tar czf maven-jaxb-plugin-1.1.1-src-svn.tar.gz maven-jaxb-plugin-1.1.1
Source0:       maven-jaxb-plugin-%{version}-src-svn.tar.gz
Patch0:        maven-jaxb-plugin-1.1.1-pom.patch
Patch1:        maven-jaxb-plugin-1.1.1-no-jaf.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: bea-stax-api
BuildRequires: glassfish-jaxb
BuildRequires: glassfish-jaxb-api
BuildRequires: forge-parent

BuildRequires: maven-local
BuildRequires: maven-changelog-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-project
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

Requires:      ant
Requires:      bea-stax-api
Requires:      glassfish-jaxb
Requires:      glassfish-jaxb-api
Requires:      maven-project

%description
JAXB XJC Compiler for Maven 2. Part of the JAXB 2.0 RI Project.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%mvn_build
#mvn-rpmbuild -e \
#  install javadoc:aggregate

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


%changelog
* Tue Dec 30 2014 daviddavid <daviddavid> 1.1.1-7.mga5
+ Revision: 807368
- build with xmvn
- replace maven BuildRequires with maven-local
- add missing BuildRequires on maven-plugin-plugin

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-4.mga4
+ Revision: 507796
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 359690
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 24 2012 gil <gil> 1.1.1-2.mga2
+ Revision: 214190
- build fix
- used jvm javax.activation apis
- adapt to current guidelines

* Sat Dec 03 2011 gil <gil> 1.1.1-1.mga2
+ Revision: 175284
- imported package maven-jaxb-plugin

